Skip to main content
POST
/
cards
/
virtual-cards
/
{cardId}
/
3ds-configuration
curl -X POST "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/3ds-configuration" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "FORWARDED"
  }'
{
  "type": "FORWARDED"
}
Configures the 3D Secure (3DS) authentication strategy for a virtual card. Requires an API key with access level 2 or higher.

Path parameters

cardId
string
required
Card identifier.

Body

type
string
required
3D Secure configuration type. Possible values: AUTOMATIC, FORWARDED, DISABLED.

Response

type
string
The configured 3D Secure type.
curl -X POST "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/3ds-configuration" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "FORWARDED"
  }'
{
  "type": "FORWARDED"
}